%define name bcd
%define version 2.0
%define release %mkrel 1

Summary: Tool to build Mandriva ISO
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Packaging
Url: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/build_system/bcd
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: perl-File-Copy-Recursive sudo urpmi
requires: cdrkit-genisoimage cdrkit-isotools syslinux
requires: gfxboot mandriva-gfxboot-theme drakxtools-backend
BuildArch: noarch


%description
Create Mandriva ISO
- configuration file is now in XML format
- use of genhdlist2 with file-deps
- support the add of isolinux entry
- change the theme on all.rdz files
- just need an input and an exclude file
- write media.cfg
- use input or exclude list for each media
- use custom rpmsrate of compssusers.pl
- all sub-media supported (updates, testing...)
- iso HEADER
- suggests option per media
- md5 in a file
- create a product.id file
- create a VERSION file
- support rpmsrate CAT


%prep
%setup -q

%build

%install
rm -rf %{buildroot}
make install PREFIX=$RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README *.xml lists create_dual.sh
%{_bindir}/bcd
%{perl_vendorlib}/BCD
%{perl_vendorlib}/%name.pod
%{_mandir}/man1/*


%changelog
* Fri Feb 12 2010 Antoine Ginies <aginies@mandriva.com> 2.0-1mdv2009.0
+ Revision: 504473
- release 2.0

* Thu Oct 29 2009 Antoine Ginies <aginies@mandriva.com> 1.1-1mdv2010.0
+ Revision: 460065
- release 1.1

* Thu Sep 10 2009 Antoine Ginies <aginies@mandriva.com> 1.0-1mdv2010.0
+ Revision: 436810
- new release

* Tue Aug 11 2009 Antoine Ginies <aginies@mandriva.com> 0.8-1mdv2010.0
+ Revision: 414793
- release 0.8

* Fri Aug 07 2009 Antoine Ginies <aginies@mandriva.com> 0.7-1mdv2010.0
+ Revision: 411084
- release 0.7

* Thu Jul 16 2009 Antoine Ginies <aginies@mandriva.com> 0.6-1mdv2010.0
+ Revision: 396561
- release 0.6

* Thu Jun 18 2009 Antoine Ginies <aginies@mandriva.com> 0.5-1mdv2010.0
+ Revision: 387232
- delete thie wrong release (bug in makefile)
- a new release
- adjust to release 0.5
- fix requires

* Sat Jun 13 2009 Antoine Ginies <aginies@mandriva.com> 0.3-1mdv2010.0
+ Revision: 385684
- remove old release
- release 0.3

* Fri Jun 12 2009 Antoine Ginies <aginies@mandriva.com> 0.2-1mdv2010.0
+ Revision: 385556
- new release 0.2

* Fri Jun 12 2009 Antoine Ginies <aginies@mandriva.com> 0.1-1mdv2010.0
+ Revision: 385494
- import bcd


